Lookup postal code
Lookup a postal code by its value and return the corresponding administrative unit information
Authorization
ApiKeyAuth Your API key from https://developer.cambodiapostalcode.com. The TosKey gateway validates it and forwards a short-lived origin JWT; the origin never sees the key.
In: header
Path Parameters
The postal code to lookup
1 <= lengthQuery Parameters
Language for the response (en or km)
"en"Value in
- "en"
- "km"
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/lookup/12010101?lang=en"{ "statusCode": 200, "data": { "slug": "phum-muoy-village", "name": "Phum Muoy", "type": "village", "postal_code": "12010101", "province_slug": "phnom-penh-capital", "province_name": "Phnom Penh Capital", "district_slug": "khan-chamkar-mon", "district_name": "Khan Chamkar Mon", "commune_slug": "sangkat-tonle-basak", "commune_name": "Sangkat Tonle Basak" }, "metadata": { "correlationId": "01a0642a-d55f-70f8-b40f-2ce1c5c12035" }}